Data.EnumMap.Strict

data EnumMap k v

# Operators

(!)

(\\)

# Query

null

size

member

notMember

lookup

findWithDefault

lookupLT

lookupGT

lookupLE

lookupGE

# Construction

empty

singleton

# Insertion

insert

insertWith

insertWithKey

insertLookupWithKey

# Delete/Update

delete

adjust

adjustWithKey

update

updateWithKey

updateLookupWithKey

alter

# Combine: Union

union

unionWith

unionWithKey

unions

unionsWith

# Combine: Difference

difference

differenceWith

differenceWithKey

# Combine: Intersection

intersection

intersectionWith

intersectionWithKey

# Combine: Universal combining function

mergeWithKey

# Traversal: Map

map

mapWithKey

traverseWithKey

mapAccum

mapAccumWithKey

mapAccumRWithKey

mapKeys

mapKeysWith

mapKeysMonotonic

# Traversal: Folds

foldr

foldl

foldrWithKey

foldlWithKey

foldMapWithKey

# Traversal: Strict folds

foldr'

foldl'

foldrWithKey'

foldlWithKey'

# Conversion

elems

keys

assocs

keysSet

fromSet

# Conversion: Lists

toList

fromList

fromListWith

fromListWithKey

# Conversion: Ordered lists

toAscList

toDescList

fromAscList

fromAscListWith

fromAscListWithKey

fromDistinctAscList

# Filter

filter

filterWithKey

partition

partitionWithKey

mapMaybe

mapMaybeWithKey

mapEither

mapEitherWithKey

split

splitLookup

# Submap

isSubmapOf

isSubmapOfBy

isProperSubmapOf

isProperSubmapOfBy

# Min/Max

findMin

findMax

deleteMin

deleteMax

deleteFindMin

deleteFindMax

updateMin

updateMax

updateMinWithKey

updateMaxWithKey

minView

maxView

minViewWithKey

maxViewWithKey

# Debugging

showTree

showTreeWith